com.sun.mail.imap.protocol

## Class MailboxInfo

- java.lang.Object
- - com.sun.mail.imap.protocol.MailboxInfo

-     public class MailboxInfo
      extends Object

  Information collected when opening a mailbox.
  Author:
    John Mani, Bill Shannon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Flags` | `availableFlags` The available flags.
    `int` | `first` The first unseen message.
    `long` | `highestmodseq` The highest MODSEQ value.
    `int` | `mode` Folder.READ_WRITE or Folder.READ_ONLY, set by IMAPProtocol.
    `Flags` | `permanentFlags` The permanent flags.
    `int` | `recent` The number of recent messages.
    `List<IMAPResponse>` | `responses` VANISHED or FETCH responses received while opening the mailbox.
    `int` | `total` The total number of messages.
    `long` | `uidnext` The next UID value to be assigned.
    `long` | `uidvalidity` The UIDVALIDITY.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailboxInfo(Response[] r)` Collect the information about this mailbox from the responses to a SELECT or EXAMINE.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### availableFlags

          public Flags availableFlags

      The available flags.

    - #### permanentFlags

          public Flags permanentFlags

      The permanent flags.

    - #### total

          public int total

      The total number of messages.

    - #### recent

          public int recent

      The number of recent messages.

    - #### first

          public int first

      The first unseen message.

    - #### uidvalidity

          public long uidvalidity

      The UIDVALIDITY.

    - #### uidnext

          public long uidnext

      The next UID value to be assigned.

    - #### highestmodseq

          public long highestmodseq

      The highest MODSEQ value.

    - #### mode

          public int mode

      Folder.READ_WRITE or Folder.READ_ONLY, set by IMAPProtocol.

    - #### responses

          public List<IMAPResponse> responses

      VANISHED or FETCH responses received while opening the mailbox.

  - ### Constructor Detail

    - #### MailboxInfo

          public MailboxInfo(Response[] r)
                      throws ParsingException

      Collect the information about this mailbox from the responses to a SELECT or EXAMINE.
      Parameters:
        `r` - the responses
      Throws:
        `ParsingException` - for errors parsing the responses

Copyright © 2016 Oracle. All rights reserved.